package com.ruoyi.scientific.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目申报v2业务对象 project_handbook
 *
 * @author ruoyi
 * @date 2024-07-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectHandbookBo extends BaseEntity {

    /**
     * 项目ID
     */
    @NotNull(message = "项目ID不能为空", groups = { EditGroup.class })
    private Long handbookId;

    /**
     * 申报信息名称
     */
    @NotBlank(message = "申报信息名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookName;

    /**
     * 项目立项流程实例Id
     */
    @NotBlank(message = "项目立项流程实例Id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookProcId;

    /**
     * 项目审核状态(0未审核 1审核中 3审核通过)
     */
    @NotBlank(message = "项目审核状态(0未审核 1审核中 3审核通过)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookStatus;

    /**
     * 项目指南类型(0 科技计划 1 研发计划)
     */
    @NotBlank(message = "项目指南类型(0 科技计划 1 研发计划)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookType;

    /**
     * 项目指南级别(0市级 1区级 3省级 4国家级)
     */
    @NotBlank(message = "项目指南级别(0市级 1区级 3省级 4国家级)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookLevel;

    /**
     * 申报状态(0 停止申报 1 申报中)
     */
    @NotBlank(message = "申报状态(0 停止申报 1 申报中)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String declareStatus;

    /**
     * 申报开始日期
     */
    @NotNull(message = "申报开始日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date projectAppStTime;

    /**
     * 申报结束日期
     */
    @NotNull(message = "申报结束日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date projectAppEndTime;

    /**
     * 指南负责人
     */
    @NotBlank(message = "指南负责人不能为空", groups = { AddGroup.class, EditGroup.class })
    private String handbookLeader;

    /**
     * 指南负责人电话
     */
    @NotBlank(message = "指南负责人电话不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectLeaderPhone;


}
